zenilib: zenilib/jni/external/sdl/src/events/SDL_events_c.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL_events_c.h File Reference
`#include "SDL_config.h"`
`#include "SDL_events.h"`
`#include "SDL_thread.h"`
`#include "SDL_clipboardevents_c.h"`
`#include "SDL_dropevents_c.h"`
`#include "SDL_gesture_c.h"`
`#include "SDL_keyboard_c.h"`
`#include "SDL_mouse_c.h"`
`#include "SDL_touch_c.h"`
`#include "SDL_windowevents_c.h"`

Go to the source code of this file.

## Functions

int | SDL_QuitInit (void)
void | SDL_QuitInterrupt (void)
void | SDL_QuitQuit (void)
int | SDL_SendAppEvent (SDL_EventType eventType)
int | SDL_SendQuit (void)
int | SDL_SendSysWMEvent (SDL_SysWMmsg *message)
int | SDL_StartEventLoop (void)
void | SDL_StopEventLoop (void)

## Variables

SDL_EventFilter | SDL_EventOK
void * | SDL_EventOKParam

## Function Documentation

int SDL_QuitInit | ( | void |  | ) |

Definition at line 47 of file SDL_quit.c.

References int, and NULL.

Referenced by SDL_InitSubSystem().

void SDL_QuitInterrupt | ( | void |  | ) |

void SDL_QuitQuit | ( | void |  | ) |

Definition at line 87 of file SDL_quit.c.

References int, and NULL.

Referenced by SDL_QuitSubSystem().

int SDL_SendAppEvent | ( | SDL_EventType | eventType | ) |

Definition at line 610 of file SDL_events.c.

References SDL_ENABLE, SDL_GetEventState, and SDL_PushEvent().

Referenced by SDL_SendQuit().

int SDL_SendQuit | ( | void |  | ) |

Definition at line 115 of file SDL_quit.c.

References SDL_QUIT, and SDL_SendAppEvent().

Referenced by SDL_SendWindowEvent().

int SDL_SendSysWMEvent | ( | SDL_SysWMmsg * | message | ) |

Definition at line 624 of file SDL_events.c.

References SDL_ENABLE, SDL_GetEventState, SDL_memset(), SDL_PushEvent(), and SDL_SYSWMEVENT.

int SDL_StartEventLoop | ( | void |  | ) |

Definition at line 164 of file SDL_events.c.

References NULL, SDL_CreateMutex(), SDL_DISABLE, SDL_EventQ, SDL_EventState(), SDL_SYSWMEVENT, SDL_TEXTEDITING, SDL_TEXTINPUT, and SDL_TRUE.

Referenced by SDL_InitSubSystem().

void SDL_StopEventLoop | ( | void |  | ) |

Definition at line 102 of file SDL_events.c.

References i, NULL, SDL_arraysize, SDL_DestroyMutex(), SDL_disabled_events, SDL_event_watchers, SDL_EventOK, SDL_EventQ, SDL_FALSE, SDL_free(), SDL_LockMutex(), and SDL_UnlockMutex().

Referenced by SDL_QuitSubSystem().

## Variable Documentation

SDL_EventFilter SDL_EventOK

Definition at line 40 of file SDL_events.c.

Referenced by SDL_GetEventFilter(), SDL_PushEvent(), SDL_SetEventFilter(), and SDL_StopEventLoop().

void* SDL_EventOKParam

Definition at line 41 of file SDL_events.c.

Referenced by SDL_GetEventFilter(), SDL_PushEvent(), and SDL_SetEventFilter().